Bug 1010507 - [abrt] xscreensaver-base-5.22-1.fc20.2: __strdup: Process /usr/bin/xscreensaver-demo was killed by signal 6 (SIGABRT)
[abrt] xscreensaver-base-5.22-1.fc20.2: __strdup: Process /usr/bin/xscreensav...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:41ec2ad0cac4aa08563e88c4338...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 19:11 EDT by Lawrenc Graves
Modified: 2014-09-22 07:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-22 07:15:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.70 KB, text/plain)
2013-09-20 19:11 EDT, Lawrenc Graves
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-20 19:11 EDT, Lawrenc Graves
no flags Details
File: core_backtrace (8.57 KB, text/plain)
2013-09-20 19:12 EDT, Lawrenc Graves
no flags Details
File: dso_list (8.18 KB, text/plain)
2013-09-20 19:12 EDT, Lawrenc Graves
no flags Details
File: environ (1.46 KB, text/plain)
2013-09-20 19:12 EDT, Lawrenc Graves
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-20 19:12 EDT, Lawrenc Graves
no flags Details
File: maps (43.25 KB, text/plain)
2013-09-20 19:12 EDT, Lawrenc Graves
no flags Details
File: open_fds (281 bytes, text/plain)
2013-09-20 19:12 EDT, Lawrenc Graves
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2013-09-20 19:12 EDT, Lawrenc Graves
no flags Details

  None (edit)
Description Lawrenc Graves 2013-09-20 19:11:52 EDT
Version-Release number of selected component:
xscreensaver-base-5.22-1.fc20.2

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        xscreensaver-demo
crash_function: __strdup
executable:     /usr/bin/xscreensaver-demo
kernel:         3.11.1-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Sep 20 07:43:05 Jehovah abrt[5968]: Saved core dump of pid 5935 (/usr/bin/xscreensaver-demo) to /var/tmp/abrt/ccpp-2013-09-20-07:43:05-5935 (19050496 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 __strdup at strdup.c:42
 #7 write_entry at ../../driver/prefs.c:560
 #8 write_init_file at ../../driver/prefs.c:920
 #9 demo_write_init_file at ../../driver/demo-Gtk.c:1096
 #10 flush_dialog_changes_and_save at ../../driver/demo-Gtk.c:1731
 #11 wm_toplevel_close_cb at ../../driver/demo-Gtk.c:794
 #12 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #17 gtk_widget_event_internal at gtkwidget.c:5017
 #18 gtk_widget_event at gtkwidget.c:4814
 #19 gtk_main_do_event at gtkmain.c:1587

Potential duplicate: bug 954119
Comment 1 Lawrenc Graves 2013-09-20 19:11:55 EDT
Created attachment 800781 [details]
File: backtrace
Comment 2 Lawrenc Graves 2013-09-20 19:11:58 EDT
Created attachment 800782 [details]
File: cgroup
Comment 3 Lawrenc Graves 2013-09-20 19:12:00 EDT
Created attachment 800783 [details]
File: core_backtrace
Comment 4 Lawrenc Graves 2013-09-20 19:12:02 EDT
Created attachment 800784 [details]
File: dso_list
Comment 5 Lawrenc Graves 2013-09-20 19:12:05 EDT
Created attachment 800785 [details]
File: environ
Comment 6 Lawrenc Graves 2013-09-20 19:12:07 EDT
Created attachment 800786 [details]
File: limits
Comment 7 Lawrenc Graves 2013-09-20 19:12:10 EDT
Created attachment 800787 [details]
File: maps
Comment 8 Lawrenc Graves 2013-09-20 19:12:12 EDT
Created attachment 800788 [details]
File: open_fds
Comment 9 Lawrenc Graves 2013-09-20 19:12:15 EDT
Created attachment 800789 [details]
File: proc_pid_status
Comment 10 Mamoru TASAKA 2013-09-21 02:22:10 EDT
- Would you write in detail (if possible) when and how this issue happened?
- Is this issue reproducible for you?
- Would you attach ~/.xscreensaver?
- Also would you attach /var/tmp/abrt/ccpp-2013-09-20-07:43:05-5935/coredump ?
Comment 11 Lawrenc Graves 2014-09-22 07:15:33 EDT
This stuff that happened last year. Why are you still requesting information that is already presented. I believe there is a problem in buzilla.

Note You need to log in before you can comment on or make changes to this bug.